(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: unumber_command_option_spec.mli,v 1.5 2014/05/06 12:56:17 fclement Exp $ *)

type kind =
  | Regular
  | Nonnegative
  | Positive
  | Range of string * string
;;

module type STRUCTURE =
sig
  type t;;
  
  val kind : kind;;
  val name : string;;
  val full_name : string;;
  val default : t;;
  val opt_doc : string option;;
end
;;

module type COMMAND_OPTION =
sig
  type t;;
  
  val get : unit -> t;;
  val option : Ucommand_option.regular_command_option;;
end
;;
