CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: util.f,v 1.5 2014/05/12 14:43:23 fclement Exp $

      real*8 function fT(ndT,T,i)
      integer ndT,i
      real*8 T(ndT)
      fT = T(i)
C      write(0, *) 'ndT = ', ndT, ', i = ', i, ', T(i) = ', T(i)
      return
      end
c
      real*8 function dfT(ndT,T,i,irr)
      integer ndT,i,irr
      real*8 T(ndT)
      real*8 djunk
      djunk = T(1)
      dfT = 0.0d0
      if (irr.eq.i) then
         dfT = 1.0d0
      endif
      return
      end
c
c      
      real*8 function fS(ndS,S,i)
      integer ndS,i
      real*8 S(ndS)
      fS = S(i)
      return
      end
c      
      real*8 function dfS(ndS,S,i,irr)
      integer ndS,i,irr
      real*8 S(ndS)
      real*8 djunk
      djunk = S(1)
      dfS = 0.0d0
      if (irr.eq.i) then
         dfS = 1.0d0
      endif
      return
      end
c
c      
      real*8 function fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
      integer ndS,ndT,i
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 lambda
      real*8 falphak
      lambda = falphak(i)*T(i)*dt/(S(i)*dx*dy)
      fbeta = lambda/(1+theta*lambda)
      return
      end
c      
      real*8 function dSfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,
     &     irr)
      integer ndS,ndT,i,irr
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 dslambda,lambda
      real*8 falphak
      dSfbeta = 0.0d0
      if (irr.eq.i) then
         lambda = falphak(i)*T(i)*dt/(S(i)*dx*dy)
         dslambda = -falphak(i)*T(i)*dt/(S(i)*S(i)*dx*dy)
         dSfbeta = dslambda/((1+theta*lambda)*(1+theta*lambda))
      endif
      return
      end
c      
      real*8 function dTfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,
     &     irr)
      integer ndS,ndT,i,irr
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 dtlambda,lambda
      real*8 falphak
      dTfbeta = 0.0d0
      if (irr.eq.i) then
         lambda = falphak(i)*T(i)*dt/(S(i)*dx*dy)
         dtlambda = falphak(i)*dt/(S(i)*dx*dy)
         dTfbeta = dtlambda/((1+theta*lambda)*(1+theta*lambda))
      endif
      return
      end
c
c      
      real*8 function fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)
      integer ndS,ndT,i
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 fbeta
      fgamma = 1.0d0-fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)
      return
      end
c      
      real*8 function dSfgamma(ndS,S,ndT,T,i,dt,dx,dy,theta,
     &     irr)
      integer ndS,ndT,i,irr
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 dSfbeta
      dSfgamma = -dSfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
      return
      end
c      
      real*8 function dTfgamma(ndS,S,ndT,T,i,dt,dx,dy,theta,
     &     irr)
      integer ndS,ndT,i,irr
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 dTfbeta
      dTfgamma = -dTfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)
      return
      end
c
c
      real*8 function fnu(ndS,S,ndT,T,i,ia1,ia2,dt,dx,dy,
     &     theta)
      integer ndS,ndT,i,ia1,ia2
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 falphaa,falphak,fbeta
      fnu = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)*
     &     falphaa(i,ia1)*falphaa(i,ia2)/falphak(i)
      return
      end
c
      real*8 function dSfnu(ndS,S,ndT,T,i,ia1,ia2,dt,dx,dy,
     &     theta,irr)
      integer ndS,ndT,i,ia1,ia2,irr
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 falphaa,falphak,dSfbeta
      dSfnu = dSfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)*
     &     falphaa(i,ia1)*falphaa(i,ia2)/falphak(i)
      return
      end
c
      real*8 function dTfnu(ndS,S,ndT,T,i,ia1,ia2,dt,dx,dy,
     &     theta,irr)
      integer ndS,ndT,i,ia1,ia2,irr
      real*8 S(ndS),T(ndT),dt,dx,dy,theta
      real*8 falphaa,falphak,dTfbeta
      dTfnu = dTfbeta(ndS,S,ndT,T,i,dt,dx,dy,theta,irr)*
     &     falphaa(i,ia1)*falphaa(i,ia2)/falphak(i)
      return
      end
c
c
      real*8 function fAinv(i,ia1,ia2)
      include 'common.fh'
      integer ia1,ia2
      real*8 aux
      integer ijunk
      ijunk = i
      if (ia1.eq.ia2) then
         if ((ia1.eq.1).or.(ia1.eq.2)) then
            aux = 2.0d0*dy/dx
         else if ((ia1.eq.3).or.(ia1.eq.4)) then
            aux = 2.0d0*dx/dy
         endif
      else if (((ia1.eq.1).and.(ia2.eq.2)).or.
     &        ((ia1.eq.2).and.(ia2.eq.1))) then
         aux = dy/dx
      else if (((ia1.eq.3).and.(ia2.eq.4)).or.
     &        ((ia1.eq.4).and.(ia2.eq.3))) then
         aux = dx/dy
      else
         aux = 0.0d0
      endif
      fAinv = 2.0d0*aux
      return
      end
c
c
      real*8 function falphaa(i,ia)
      integer i,ia,ia2
      real*8 som
      real*8 fainv
      som = 0.0d0
      do ia2 = 1,4
         som = som+fainv(i,ia,ia2)
      enddo
      falphaa = som
      return
      end
c
c
      real*8 function falphak(i)
      integer i,ia
      real*8 som
      real*8 falphaa
      som = 0.0d0
      do ia = 1,4
         som = som+falphaa(i,ia)
      enddo
      falphak = som
      return
      end
      
      
